Package com.io7m.waxmill.xml.vm.v1

# Class WXM1BootDiskAttachmentsParser

java.lang.Object
com.io7m.waxmill.xml.vm.v1.WXM1BootDiskAttachmentsParser

All Implemented Interfaces:
  `com.io7m.blackthorne.api.BTElementHandlerType<java.lang.Object,​java.util.List<WXMBootDiskAttachment>>`

    public final class WXM1BootDiskAttachmentsParser
    extends java.lang.Object
    implements com.io7m.blackthorne.api.BTElementHandlerType<java.lang.Object,​java.util.List<WXMBootDiskAttachment>>

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `WXM1BootDiskAttachmentsParser()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.util.Map<com.io7m.blackthorne.api.BTQualifiedName,​com.io7m.blackthorne.api.BTElementHandlerConstructorType<?,​?>>` | `onChildHandlersRequested​(com.io7m.blackthorne.api.BTElementParsingContextType context)` |
  `void` | `onChildValueProduced​(com.io7m.blackthorne.api.BTElementParsingContextType context, java.lang.Object result)` |
  `java.util.List<WXMBootDiskAttachment>` | `onElementFinished​(com.io7m.blackthorne.api.BTElementParsingContextType context)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.io7m.blackthorne.api.BTElementHandlerType

  `map, name, onCharacters, onElementStart, onShouldIgnoreUnrecognizedElements`

- ## Constructor Details

  - ### WXM1BootDiskAttachmentsParser

    public WXM1BootDiskAttachmentsParser()

- ## Method Details

  - ### onChildHandlersRequested

    public java.util.Map<com.io7m.blackthorne.api.BTQualifiedName,​com.io7m.blackthorne.api.BTElementHandlerConstructorType<?,​?>> onChildHandlersRequested​(com.io7m.blackthorne.api.BTElementParsingContextType context)
    Specified by:
      `onChildHandlersRequested` in interface `com.io7m.blackthorne.api.BTElementHandlerType<java.lang.Object,​java.util.List<WXMBootDiskAttachment>>`

  - ### onChildValueProduced

    public void onChildValueProduced​(com.io7m.blackthorne.api.BTElementParsingContextType context, java.lang.Object result)
    Specified by:
      `onChildValueProduced` in interface `com.io7m.blackthorne.api.BTElementHandlerType<java.lang.Object,​java.util.List<WXMBootDiskAttachment>>`

  - ### onElementFinished

    public java.util.List<WXMBootDiskAttachment> onElementFinished​(com.io7m.blackthorne.api.BTElementParsingContextType context)
    Specified by:
      `onElementFinished` in interface `com.io7m.blackthorne.api.BTElementHandlerType<java.lang.Object,​java.util.List<WXMBootDiskAttachment>>`